%define lib_major 0
%define libname %mklibname %{name}-private %{lib_major}
%define libnamedev %mklibname -d %{name}-private
%define startup_notification_version 0.4
%define api 3.0

Summary: Mutter window manager
Name: mutter
Version:  3.2.2
Release: %mkrel 1
URL: http://ftp.gnome.org/pub/gnome/sources/mutter/
Source0: http://ftp.gnome.org/pub/GNOME/sources/mutter/%{name}-%{version}.tar.xz
Patch1: 0001-meta-window-group-Plug-memory-leak.patch
License: GPLv2+
Group: Graphical desktop/GNOME
Requires: zenity
BuildRequires: pkgconfig(glib-2.0) >= 2.14.0
BuildRequires: pkgconfig(gtk+-3.0) >= 2.91.7
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libstartup-notification-1.0) >= 0.7
BuildRequires: pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires: pkgconfig(xcomposite) >= 0.2
BuildRequires: pkgconfig(clutter-1.0) >= 1.7.5
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(pango) >= 1.2.0
BuildRequires: pkgconfig(cairo) >= 1.10.0
BuildRequires: pkgconfig(gconf-2.0) >= 1.2.0
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires: cogl-devel
BuildRequires: libxtst-devel
BuildRequires: libmesaglu-devel
BuildRequires: GConf2
BuildRequires: zenity
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: gnome-common
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Mutter is a simple window manager that integrates nicely with 
GNOME 3.

%package devel
Summary:        Libraries and include files with Mutter
Group:          Development/Libraries
Requires:       %name = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-private-devel = %{version}-%{release}

%description devel
This package provides the necessary development libraries and include 
files to allow you to develop with Mutter.

%prep
%setup -q
#%patch1 -p1

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi;
 %configure --disable-static --with-gtk=3.0)

SHOULD_HAVE_DEFINED="HAVE_SM HAVE_XINERAMA HAVE_XFREE_XINERAMA HAVE_SHAPE HAVE_RANDR HAVE_STARTUP_NOTIFICATION HAVE_COMPOSITE_EXTENSION"

for I in $SHOULD_HAVE_DEFINED; do
  if ! grep -q "define $I" config.h; then
    echo "$I was not defined in config.h"
    grep "$I" config.h
    exit 1
  else
    echo "$I was defined as it should have been"
    grep "$I" config.h
  fi
done

make %{?_smp_mflags} V=1

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name} 

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

# Mutter contains a .desktop file so we just need to validate it
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/mutter.schemas \
    > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/mutter.schemas > /dev/null || :
fi

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/mutter.schemas > /dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING NEWS HACKING 
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/%name.desktop
%{_datadir}/gnome/wm-properties/%name-wm.desktop
%{_datadir}/%name
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/default.so
%{_mandir}/man1/*
%{_libdir}/*.so.%{lib_major}*
%_libdir/%name/Meta-%api.typelib

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%_libdir/%name/Meta-%api.gir


%changelog
* Sun Feb 05 2012 Neal <nealbrks0 at gmail dot com> 3.2.2-1pclos2012
- process

* Sat Jan 04 2012 siamer <siamer@wp.pl> 3.2.2-1pclos2012
- 3.2.2

* Sun Oct 23 2011 Texstar <texstar at gmail.com> 3.2.1-1pclso2011
- 3.2.1

* Fri Sep 30 2011 Texstar <texstar at gmail.com> 3.2.0-2pclos2011
- apply memleak patch

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0

* Thu Sep 22 2011 Texstar <texstar at gmail.com> 3.1.92-1pclos2011
- 3.1.92

* Mon Sep 19 2011 Texstar <texstar at gmail.com> 3.1.91.1-1pclos2011
- 3.1.91.1

* Thu Sep 01 2011 Texstar <texstar at gmail.com> 3.1.90.1-1pclos2011
- 3.1.90.1

* Sat Aug 27 2011 Texstar <texstar at gmail.com> 3.1.4-1pclos2011
- 3.1.4
